Subject: bug#25769: 24.5; netrc-parse assumes machine/login/password all appear on one line

From: "Trent W. Buck" <[email-masked]>
Date: Mon, 20 Feb 2017 11:02:45 +1100

Ted Zlatanov wrote:
> On Fri, 17 Feb 2017 12:22:10 +1100 [email-masked] (Trent W. Buck) wrote:
>
> TWB> ...but now I'm finally annoyed enough to actually report this and get a formal WONTFIX.
>
> Please see
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2015-12/msg00266.html
> (the whole discussion is pertinent)

Yes; I see the problem there.
This is a duplicate of that bug report.

> For your bug report specifically, maybe you mean
> `auth-source-netrc-parse'? If you do mean `netrc-parse', please note
> that it's only used in one place in the whole Emacs core AFAIK.

Ah, I didn't realize netrc.el had been replaced by auth-source.el.

As a simple test I tried feeding it my actual ~/.netrc — some entries
are newline delimited, and some are all-on-one-line — but it didn't
seem to find ANY of them:

    (auth-source-netrc-parse :file "~/.netrc") ⇒ nil

But if I open .netrc manually, go to point-min, and call

    (auth-source-netrc-parse-entries #'identity 999)

…it returns a correctly parsed list, handling comments & newlines between fields perfectly.

I'm a bit puzzled which bit of code is failing to handle newlines.
Am I missing something obvious?

(I haven't read auth.info yet because I've gotta go get it specially
due to the DFSG/GFDL dispute.)

> I would rather not patch or support netrc.el--better to remove it altogether.

Understood, and agreed.